Unit tde57r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FFKDE57R_p, FFGDE57R_p, FFRDE57R_p, DE57R_p;

function tde57r: String;

implementation

function tde57r: String;
var
NX,NXM1,I,IERR :Integer;
XN,XK,GN,GK,H,X :Real;
GN1,GK1 :Boolean;
Y :Array [0..314] of Real;
ALP :Array [0..313] of Extended;
BET :Array [0..313] of Extended;
YT :Array [0..314] of Real;
label
_100,_20;
begin
Result := '';  {   }
NX := 315;
XN := 0.0;
XK := 1.57079632679;
GN1 := True;
GN := 0.0;
GK1 := True;
GK := 2.0;
DE57R(FFKDE57R,FFGDE57R,FFRDE57R,NX,XN,XK,GN1,GN,GK1,GK,Y,ALP,BET,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%2d ',[IERR]) + #$0D#$0A;
NXM1 := NX-1;
H := (XK-XN)/NXM1;
X := XN-H;
for I:=1 to NX do
 begin
  X := X+H;
  YT[I-1] := 2.0*Sin(X);
_100:
 end;
Result := Result + Format('%s',[' XN=']);
Result := Result + Format('%20.16f ',[XN]);
Result := Result + Format('%s',['  XK=']);
Result := Result + Format('%20.16f ',[XK]);
Result := Result + Format('%s',['  NX=']);
Result := Result + Format('%5d ',[NX]) + #$0D#$0A;
for I:=1 to NXM1 do
 begin
  Result := Result + Format(' %20.16f %20.16f ',
 [Y[I-1],YT[I-1]]) + #$0D#$0A;
_20:
 end;
Result := Result + Format(' %20.16f %20.16f ',
 [Y[NX-1],YT[NX-1]]) + #$0D#$0A;
UtRes('tde57r',Result);  {     tde57r.res }
exit;
end;

end.
